<?xml version="1.0" encoding="utf-8" standalone="yes"?><rss version="2.0" xmlns:atom="http://www.w3.org/2005/Atom"><channel><title>Technical Documentation on Getty Images API</title><link>/docs/</link><description>Recent content in Technical Documentation on Getty Images API</description><generator>Hugo -- gohugo.io</generator><language>en-us</language><lastBuildDate>Mon, 12 Oct 2020 16:11:37 -0700</lastBuildDate><atom:link href="/docs/index.xml" rel="self" type="application/rss+xml"/><item><title>Authorization</title><link>/docs/authorization/</link><pubDate>Mon, 12 Oct 2020 13:38:28 -0700</pubDate><guid>/docs/authorization/</guid><description>Many Getty Images API operations require authorization. The Getty Images API implements the OAuth 2.0 Authorization Framework to provide authorization to third-party applications and grant access tokens to them.
Once an access token is obtained, it should be reused until it expires. Calling to get a new token more often than needed should be avoided, as those calls are counted against a customer&amp;rsquo;s rate limit.
Tokens obtained via the resource owner and authorization code grants can be refreshed with a refresh token without the need to re-prompt users for their credentials.</description></item><item><title>Search</title><link>/docs/search/</link><pubDate>Mon, 12 Oct 2020 15:51:56 -0700</pubDate><guid>/docs/search/</guid><description>Workflow Make a request against the search endpoint with a search phrase. The search can be performed with or without an access token. To get an access token, see our authorization documentation.
Search for images by phrase Search for images using your Api-Key and a search phrase.
Curl command: curl -X GET -H &amp;quot;Api-Key: &amp;lt;YOUR_API_KEY&amp;gt;&amp;quot; &amp;quot;https://api.gettyimages.com/v3/search/images/creative?phrase=kittens&amp;quot;
JSFiddle Example
Curl command with access token: curl -X GET -H &amp;quot;Api-Key: &amp;lt;YOUR_API_KEY&amp;gt;&amp;quot; -H &amp;quot;Authorization: Bearer &amp;lt;YOUR_ACCESS_TOKEN&amp;gt;&amp;quot; &amp;quot;https://api.</description></item><item><title>Getting Started</title><link>/docs/gettingstarted/</link><pubDate>Mon, 12 Oct 2020 13:57:11 -0700</pubDate><guid>/docs/gettingstarted/</guid><description>Workflow Steps Workflow Steps Get Access Token Access Token Request Access Token Response Search For Images with Largest Downloads field specified Search Request Search Response Download the image using its asset id and product type Download Request Download Response Downloading Via the Returned URI Get Access Token In order to get download links from search you will need to use Client Credentials or Authorization Code to obtain an access_token, and then include that token in all search calls.</description></item></channel></rss>